HamletSpec.I (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.hamlet2, class: HamletSpec, interface: I

Package org.apache.hadoop.yarn.webapp.hamlet2

# Interface HamletSpec.I

All Superinterfaces:
  `HamletSpec.__`, `HamletSpec._Anchor`, `HamletSpec._Child`, `HamletSpec._Content`, `HamletSpec._FontSize`, `HamletSpec._FontStyle`, `HamletSpec._FormCtrl`, `HamletSpec._ImgObject`, `HamletSpec._InsDel`, `HamletSpec._Label`, `HamletSpec._Object`, `HamletSpec._RawContent`, `HamletSpec._Script`, `HamletSpec._Special`, `HamletSpec._SubSup`, `HamletSpec.Attrs`, `HamletSpec.CoreAttrs`, `HamletSpec.EventsAttrs`, `HamletSpec.FontStyle`, `HamletSpec.FormCtrl`, `HamletSpec.I18nAttrs`, `HamletSpec.Inline`, `HamletSpec.PCData`, `HamletSpec.Phrase`, `HamletSpec.Special`

All Known Implementing Classes:
  `Hamlet.I`

Enclosing class:
  HamletSpec

public static interface HamletSpec.I extends HamletSpec.Attrs, HamletSpec.Inline, HamletSpec._Child

- ## Method Summary

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Anchor

  `a, a, a, a`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

  `__`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Content

  `__`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._FontSize

  `small, small, small`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._FontStyle

  `b, b, b, i, i, i`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._FormCtrl

  `button, button, button, input, input, select, select, textarea, textarea, textarea`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._ImgObject

  `img, img`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._InsDel

  `del, del, ins, ins`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Label

  `label, label`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Object

  `object, object`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._RawContent

  `_r`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Script

  `script, script`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Special

  `bdo, bdo, br, br, map, map, q, q, q, span, span, span`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._SubSup

  `sub, sub, sub, sup, sup, sup`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.CoreAttrs

  `$class, $id, $style, $title`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.EventsAttrs

  `$onclick, $ondblclick, $onkeydown, $onkeypress, $onkeyup, $onmousedown, $onmousemove, $onmouseout, $onmouseover, $onmouseup`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.I18nAttrs

  `$dir, $lang`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Phrase

  `abbr, abbr, abbr, cite, cite, cite, code, code, code, dfn, dfn, dfn, em, em, em, kbd, kbd, kbd, samp, samp, samp, strong, strong, strong, var, var, var`